<center>
  
  <table border="0" >
  <tr valign=top align=center>
    <td>
    <h3>Statistics</h3>

      <table border="0" >
        <tr">
          <td>Date</td>
          <td>Installations </td>
          <td>Status Permissions</td>
          <td>Disabled Users</td>
          <td>Invitations Sent</td>
          <td>Source by Invitation</td>
          <td>Source by Feed</td>
        </tr>
        
       <% @data_pack.each_with_index {|data, i| %>
        <tr align="center" class= "<%if i % 2 == 0 %>firstcolor<%else%><%end%>" >
          <td><%=@date_range[i] %></td>
          <td><%=data[INSTALLED] %></td>
          <td><%=data[PERMISSION]%></td>
          <td><%=data[DELETED]%></td>
          <td><%=data[INVITED_NUMBER]%></td>
          <td><%=data[FROM_INVITATION]%></td>
          <td><%=data[FROM_FEED]%> </td>
        </tr>
        <% }%> 
      </table>
      <a href="/fbusers/statistic_to_csv" target='_blank'">Export To CSV...</a>
    </td>
    <td>
      <h3>Statisctics by hours</h3>
      <table border="0" >
      <tr class= "firstcolor">
          <td align=center>Hours</td>
          <td># of joined</td>
          <td># of disabled</td>
      </tr>
      <%  21.upto(23) do |x| %>
      <tr align="center" class= "<%if x % 2 == 0 %>firstcolor<%else%><%end%>" >
         <td><%=transform_hour(x) %></td>
         <td><%=@hour_statistic[x] %></td>
         <td><%=@hour_deleted_statistic[x] %></td>
      </tr>
      <% end%> 
      <%  0.upto(20) do |x| %>
      <tr align="center" class= "<%if x % 2 == 0 %>firstcolor<%else%><%end%>" >
         <td><%=transform_hour(x) %></td>
         <td><%=@hour_statistic[x] %></td>
         <td><%=@hour_deleted_statistic[x] %></td>
      </tr>
      <% end%> 
      </table>
    </td>
  </tr>
  </table>
  
</center>
